package intrinsic.mx.messaging.messages;

public class SOAPMessage extends intrinsic.mx.messaging.messages.HTTPRequestMessage {

	/** Accessors */

	/** Variables */
	public String url;
	public Object httpHeaders;
	public String contentType;
	public boolean recordHeaders;

	/** Constants */
	public static final String SOAP_ACTION_HEADER = "soap_action_header";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public SOAPMessage() {
}


/** Static Methods */

/** Methods */
public native void setSOAPAction(String arg0);
public native String getSOAPAction();

}
